;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Deklarace želv(agentů);;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
breed [dav clovek ]
breed [policiste polda]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Deklarace vlastnosti želv(agentů);;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
dav-own[pohyb   prosel nahoda  ]
policiste-own [umisteni pozicex kraj1 kraj2 pp smer 
  
 ]


globals[
  rozmisteni
  prosli 
  zemreli
  zatceni
  zemrelip
  polomer
  ]

;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Nastavení taktiky 1;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;
to nastav-taktika-1
    
    set rozmisteni max-pxcor

    create-dav pocet-lidi 
   
   ask dav [
    setxy  random-pxcor random 18
    set color red 
    set shape "person"
    set size 2
    set pohyb 0.075
     
     ]

  



  
  create-policiste pocet-policistu * 0.5 [
  let predni-linie 20
  set rozmisteni ( rozmisteni - world-width / ( pocet-policistu * 0.5 + 1  ))  
  
   setxy rozmisteni  predni-linie
     set shape "person"
      set pozicex rozmisteni  
   ]
  
  set rozmisteni max-pxcor
  create-policiste 2 [
  let zatykaci-linie 31
  set rozmisteni ( rozmisteni - world-width / ( 2 + 1 ))  
  
   setxy rozmisteni zatykaci-linie
   set shape "car"
 
   ]
 
 set rozmisteni max-pxcor 
 create-policiste pocet-policistu * 0.5 [
  let zadni-linie 26
  set rozmisteni ( rozmisteni - world-width / ( pocet-policistu * 0.5 + 1 ))  
  
   setxy rozmisteni zadni-linie
     set shape "person"
      set pozicex rozmisteni  
   ]
 
 
 
 ask policiste with [shape = "person"][
 
   set pozicex pxcor
   set kraj2 pozicex -  2
   set kraj1 pozicex +  2
   set pp 0
   set smer random 2
   
   ]
 
  ask policiste [
    
    set color blue

    set size 2   
  ]
   
  ask patches[
 ifelse pycor < 18
                  [ set pcolor brown ]
                  [set pcolor green ]
          
   ]
end


;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Nastavení taktiky 2;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;

to nastav-taktika-2
  
  set rozmisteni 34

    create-dav pocet-lidi
   
   ask dav [
  let x 0
    
    set x random 30
    if x < 4[
      set x ((random 10) + 4)
      ]
                        
                             
    setxy  x random 20
    
                        
                        
    
    set color red 
    set shape "person"
    set size 2
    set pohyb 0.075
   
     ]

  



  
  create-policiste pocet-policistu * 0.33 [
  let predni-linie 20
  set rozmisteni ( rozmisteni - world-width / ( pocet-policistu * 0.33  + 1  ))  
  
   setxy rozmisteni predni-linie
     set shape "person"
   ;set pozicex rozmisteni  
   ]
  
  set rozmisteni 20
  create-policiste pocet-policistu * 0.33 [
  let prava-linie 32
  set rozmisteni ( rozmisteni - 20 / (pocet-policistu * 0.33 + 1 ))  
  
   setxy prava-linie rozmisteni
   set shape "person"
 
   ]
 
 set rozmisteni 20
 create-policiste pocet-policistu * 0.33 [
  let leva-linie 2
  set rozmisteni ( rozmisteni - 20 / ( pocet-policistu * 0.33 + 1 ))  
  
   setxy leva-linie rozmisteni
     set shape "person"
   ]
 
 
 set rozmisteni max-pxcor
  create-policiste 2 [
  let zatykaci-linie 24
  set rozmisteni ( rozmisteni - world-width / ( 2 + 1 ))  
  
   setxy rozmisteni zatykaci-linie
   set shape "car"
 
   ]
 
 ask policiste with [shape = "person"][
  
   set pozicex pxcor
   set kraj2 pozicex -  2
   set kraj1 pozicex +  2
   set pp 0
     set smer random 2
   ]
 
 
  ask policiste [
    
    set color blue

    set size 2   
  ]
   
  ask patches[
 ifelse pycor < 20
                  [ set pcolor brown ]
                  [set pcolor green ]
                  
 if pxcor < 2  [
   set pcolor green
   ]   
  
  if pxcor  > 32  [
   set pcolor green
   ]   
               
   ]
  
  
  
end

;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Nastavení taktiky 3;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;


to nastav-taktika-3 
 
 
 
    create-dav pocet-lidi[
    setxy 17 17
    fd random 14   
                  
    set color red 
    set shape "person"
    set size 2
    set pohyb 0.075
     ]


   

 
create-ordered-policiste pocet-policistu [
     set polomer 15
     ;layout-circle policiste polomer
       setxy 17 17
   fd polomer
 rt 90 
     set color blue
     set shape "person"
     set size 2   
     set pp 0

 
   set pozicex pxcor
   set kraj2 pozicex -  2
   set kraj1 pozicex +  2
   
    
    
  ]

create-policiste 1[
    set shape  "car"
    set size 2
    set color blue
    setxy 3 30
    ]

create-policiste 1[
    set shape  "car"
    set size 2
    set color blue
    setxy 3 3
    ]
create-policiste 1[
    set shape  "car"
    set size 2
    set color blue
    setxy 30 3
    ]   
   
 create-policiste 1[
    set shape  "car"
    set size 2
    set color blue
    setxy 30 30
    ]
  
  
  ask patches[
         
              
  ifelse ((17 - pxcor) ^ 2 + (17 - pycor) ^ 2 <= 190)
                    
                     [  set pcolor brown    ]  
                       [set pcolor green ]    
                         
                         
   ]
  
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedura, která nasatví vybranou mapu;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
to nastav-mapu
  
  if taktika = "1" [
    nastav-taktika-1
    ]
  
   if taktika = "2" [
    nastav-taktika-2
    ]
   
    if taktika = "3" [
    nastav-taktika-3
    ]
   
   
end



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedura pro chuzi davu;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
to jdi
  ask dav [
    

    
    
    if pcolor = brown and prosel = 0  [              ;když je želva v hnědé části pohybuje se náhodně  
        right random 360           
        
        forward 1
    ]
    
    if pcolor = green  and random 100 > (100 - agresivita) and prosel = 0  [
    set prosel 1 
  
    
    ]
    
    if prosel = 1 and pcolor = green [
   

  facexy pxcor max-pycor
  jump pohyb
     
   ]
   if pcolor = green   and prosel = 0
    [
      forward -1
      
      ]
    
  
   if pycor = max-pycor [
     set prosli prosli + 1
     die
     
     ]
   
   if pcolor = brown and (prosel = 1 or prosel = 2) [
     
     set prosel 0
     ]
   
if prosel = 2 [
  ifelse taktika = "3"

  [  facexy 16 16 
    jump pohyb]
  
  [facexy 16 10 
  jump pohyb   ]
  ]
    ]
 
end
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedura pro pohyb policistu v taktice 1 a 2;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 to policiste-pohyb
 
 ask policiste with [shape = "person"] [
   
    if pp = 0[
      
      
      ifelse smer = 1[
        facexy kraj1 pycor
                        ]
      [facexy kraj2 pycor]
        
    jump 0.1
 
  
    ]
    if pxcor = kraj1[
      set pp 1]
    
    if pp = 1
    [
      facexy kraj2 pycor
      jump 0.1
 
 
      ]
if pxcor = kraj2[
  set pp 2
  ]

if pp = 2[
   facexy kraj1 pycor
        
    jump 0.1
  ]   
   
   
   ]
 
 end
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedura pro pohyb policistu v taktice 3;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 to policiste3-pohyb
  
   ask policiste with [shape = "person"] [

 fd (pi * polomer / 180) * 0.5
rt 0.5
 ]
 end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;Zde policiste ziskavaji schopnost branit;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
to bran
 
  ask policiste with [shape = "car"][
    ask dav in-radius 0.5 [
      if prosel = 3[ 
        set prosel 4
        set   zatceni zatceni + 1
        die
      ]
       ]        
        ]
    
    


 ask policiste with [shape = "person"] [
 
  
    

;;;; Cast procedury pro vysledky, kontaktu cloveka s policicstou;;;;
    
 ask dav in-radius 0.25[
  
  set nahoda random 100                   ;;;vygenerovani nahodneho cisla pri konktaku
  
  
  if nahoda < 30 and prosel = 1 [        ;;;odrazeni cloveka zpet
  
   ifelse taktika = "3" 
                        [                                        
                          set prosel 2                    ]
                        [set pohyb pohyb * (-1)]
  ]
  
  if nahoda > 30 and  nahoda  < 60 and prosel = 1 [ ;;;clověk znehybnen
  set color pink
  set pohyb 0
  set prosel 3
  
 
    ]
  if nahoda > 90 and nahoda < 95 and prosel = 1[  ;;; clověk zmeřel
  set zemreli zemreli + 1  
  die
    ]
  
  if nahoda > 95 and nahoda < 100 and prosel = 1 [ ;;;zemrel policista
    facexy pxcor max-pycor
    set pohyb pohyb * 2
    ask policiste in-radius 0.25 [
      set zemrelip zemrelip + 1
      die
      ]
    
    ] 
  
   ]
 
]
  
end

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Procedura zatceni, dav který byl paralizovan odejde k nejbližšímu policejnímu autu;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
to zatceni-autem
ask dav with[prosel = 3][
  let min-vzdalenost 1000000
    let min-auto 0


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Určení nejbližšího policejniho vozu;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
    ask policiste with [shape = "car"][
      
      if (distance myself < min-vzdalenost) 
          [
        set min-vzdalenost distance myself
        set min-auto self
        ]
 
      ]
          

    facexy ([pxcor] of min-auto) ([pycor] of min-auto)
    
    jump 0.1
   
   
   
   
    ]
 
 

  
end

;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedůra nastav;;;
;;;;;;;;;;;;;;;;;;;;;;;
to nastav 
clear-all


nastav-mapu
reset-ticks  

end


;;;;;;;;;;;;;;;;;;;;;;;
;;;;Procedůra spust;;;;
;;;;;;;;;;;;;;;;;;;;;;;
to spust
 ifelse taktika = "1" or taktika = "2" 
                                      [ policiste-pohyb ]
                                      [policiste3-pohyb]
  bran
  jdi
 zatceni-autem 
  if prosli >= 0.3 * pocet-lidi [
     tick
      user-message (word " Dav prošel")
      stop
     
      ] 
  
    if ticks > 1500[
      tick
      user-message (word " Policisté udrželi pozice")
       stop
      ]
  
  tick
end
@#$#@#$#@
GRAPHICS-WINDOW
445
16
910
502
-1
-1
13.0
1
10
1
1
1
0
0
0
1
0
34
0
34
1
1
1
ticks
30.0

BUTTON
45
69
120
102
Nastav
nastav
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
196
70
265
108
Spust
spust
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
10
144
182
177
pocet-lidi
pocet-lidi
0
600
280
10
1
NIL
HORIZONTAL

CHOOSER
10
183
183
228
taktika
taktika
"1" "2" "3"
0

SLIDER
241
143
413
176
agresivita
agresivita
0
100
6
1
1
NIL
HORIZONTAL

MONITOR
963
19
1055
64
Kolik prošlo lidí
prosli
17
1
11

MONITOR
964
73
1065
118
Kolik zemřelo lidí
zemreli
17
1
11

SLIDER
242
193
414
226
pocet-policistu
pocet-policistu
0
150
50
1
1
NIL
HORIZONTAL

MONITOR
1078
20
1206
65
Kolik bylo zatčeno lidí
zatceni
17
1
11

MONITOR
1082
75
1213
120
Kolik zemřelo policistů
zemrelip
17
1
11

PLOT
942
177
1449
458
Graf
NIL
NIL
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"Kolik prošlo lidí" 1.0 0 -16777216 true "" "plot prosli"
"Kolik zemřelio lidí" 1.0 0 -2674135 true "" "plot zemreli"
"Kolik bylo zatčeno lidí" 1.0 0 -13345367 true "" "plot zatceni"
"Kolik zemřelo policistů" 1.0 0 -6459832 true "" "plot zemrelip"

@#$#@#$#@
## Co to je?

Simulace se zabývá porovnáním policejních taktik, při demonstracích, či při zvládání davu policií. Cílem simulace je porovnat tři zjednodušené policejní taktiky. Model je vymyšlen, tak aby šli přidávat taktiky další a to bez většího zásahu do logiky modelu.

## Jak to funguje

Všechny tři mapy (taktiky) se skládají, ze dvou částí a to hnědé a zelené. Hnědá část mapy označuje území lidí, na kterém se náhodně pohybují než se rozhodnou projít skrz policii. Policejní linie jsou rozestaveny na rozhraní mezi hnědou a zelenou částí.
Lidé se z hnědé části snaží dostat na zelenou část a to konkrétně na horní okraj mapy. Lidé se v hnědé části pohybují náhodně. Když se dostanou na rozhraní mezi hnědou a zelenou části, tak se provede podmínka podle parametru agresivita. Když je podmínka splněna tak demonstrant začne jít k hornímu okraji mapy, když podmínka není splněna, tak se vrátí zpět do náhodného pohybu.

Policie má také nastaven pohyb. V taktice 1 a 2 se policisté pohybují ze strany na stranu, v taktice 3 se policisté pohybují kolem celého kruhu.
Při snaze demonstranta dojít na horní okraj mapy, může dojít ke kontaktu s policií. Při kontaktu může nastat pět různých scénářů.

1)	Odražení demonstranta zpět
2)	Průchod demonstranta dál
3)	Zatčení demonstranta
4)	Smrt demonstranta
5)	Smrt policisty

Každý běh může trvat maximálně 1500 kroků, pokud do té doby neprojde, alespoň třetina demonstrantů, tak policie udržela území a „vyhrála“. Pokud projde v této době alespoň třetina demonstrantů, tak je konec a „vyhrál“ dav. Tyto parametry konců jsou nastaveny podle mého úsudku, jsou zde proto, aby daný běh měl konec.

##Vysvětlení parametrů
1)	Počet lidí (demonstrantů) – hodnoty lze nastavit 0 do 600
2)	Agresivita – lze nastavit od 0 do 100. Tento parametr znamená, s jakou pravděpodobností projde demonstrant hnědo-zelené rozhraní. Když je na nule, tak se nikdy přes hnědou hranu nedostane. Když je nastaven na 100 tak vždy.
3)	Počet policistů – lze nastavit hodnoty od 0 do 150
4)	Taktika- slouží pro výběr taktiky 1 až 3


## Jak to použít
1)Vybrat a nastavit vstupni parametry
2)Tlačítko NASTAV
3)Tlačítko SPUST

Simulace se samm ukončí.

## Reference
1. Klimeš, Mgr. Jeroným. Demonstrace ekoaktivistů 16. 5. a 29. 8. 1998 . http://jeronymklimes.webpark.cz. [Online] 1998. [Citace: 6. 6 2012.] http://jeronymklimes.webpark.cz/mojeprace/demonstrace.pdf.
2. Klimeš, Mgr. Jeroným. Policie musí znát psychologii davu . http://klimes.mysteria.cz. [Online] 2002. [Citace: 6. 6 2012.] http://klimes.mysteria.cz/clanky/psychologie/policiedav.htm.


## Vytvořil

created by Oto Křivanec, Vysoká škola ekonomicka v praze, 2012
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
0
Rectangle -7500403 true true 151 225 180 285
Rectangle -7500403 true true 47 225 75 285
Rectangle -7500403 true true 15 75 210 225
Circle -7500403 true true 135 75 150
Circle -16777216 true false 165 76 116

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="1" repetitions="20" runMetricsEveryStep="false">
    <setup>nastav</setup>
    <go>spust</go>
    <metric>prosli</metric>
    <metric>zatceni</metric>
    <metric>zemreli</metric>
    <metric>zemrelip</metric>
    <enumeratedValueSet variable="pocet-lidi">
      <value value="280"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="pocet-policistu">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="agresivita">
      <value value="6"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="taktika">
      <value value="&quot;3&quot;"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 1.0 0.0
0.0 1 1.0 0.0
0.2 0 1.0 0.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
